%global jsname jquery-ui

Name:		js-%{jsname}
Version:	1.13.2
Release:    2%{?dist}
Summary:	jQuery user interface

License:	MIT
URL:		https://jqueryui.com/
Source0:	https://github.com/jquery/%{jsname}/archive/%{version}/%{jsname}-%{version}.tar.gz
Source1:	%{jsname}-%{version}-node-modules.tar.gz
Source2:	create-source.sh

BuildArch:	noarch
BuildRequires:	nodejs >= 10
BuildRequires:	web-assets-devel
BuildRequires:	python3-rcssmin
Requires:	js-jquery >= 1.8.0
Requires:	web-assets-filesystem

%description
A curated set of user interface interactions, effects, widgets, and
themes built on top of the jQuery JavaScript Library.

%prep
%setup -q -n %{jsname}-%{version} -a 1
rm -rf dist

%build
./node_modules/grunt-cli/bin/grunt -v requirejs:js concat:css uglify:main

python3 -m rcssmin -b < dist/jquery-ui.css > dist/jquery-ui.min.css

%install
mkdir -p %{buildroot}%{_jsdir}/%{jsname}
install -m 644 -p dist/* %{buildroot}%{_jsdir}/%{jsname}
mkdir -p %{buildroot}%{_jsdir}/%{jsname}/images
install -m 644 -p themes/base/images/* %{buildroot}%{_jsdir}/%{jsname}/images

%files
%{_jsdir}/%{jsname}
%license LICENSE.txt
%doc AUTHORS.txt CONTRIBUTING.md README.md

%changelog
* Tue Jun 10 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.13.2-2
- Rebuilt for loongarch64

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13.2-1
- initial build
